import request from '@/utils/request'

// 区域总费用统计
export function totalWorkshopCostStatistical(query) {
    return request({
        url: '/energy/total-energy/total-cost',
        method: 'get',
        params: query
    })
}

// 能源介质总费用
export function energyMediumCost(query) {
    return request({
        url: '/energy/total-energy/total-medium',
        method: 'get',
        params: query
    })
}

// 时段用电总量
export function timeotalElectricity(query) {
    return request({
        url: '/energy/workshop-energy/total-electricity',
        method: 'get',
        params: query
    })
}

// 区域总费用占比
export function totalWorkshopCostProportion(query) {
    return request({
        url: '/energy/total-energy/total-workshop-cost-of',
        method: 'get',
        params: query
    })
}

// 能源介质总费用占比
export function energyMediumAccounted(query) {
    return request({
        url: '/energy/total-energy/total-medium-cost-of',
        method: 'get',
        params: query
    })
}

// 设备总能耗
export function equipmentTotalEnergy(query) {
    return request({
        url: '/energy/total-energy/total-equipment-energy',
        method: 'get',
        params: query
    })
}

// 获取所有区域
export function getAllWorkShop() {
    return request({
        url: 'energy/workshop',
        method: 'get'
    })
}

